com.ibm.openpages.api.workflow

## Enum WFAccessType.WFRole

- java.lang.Object
- - java.lang.Enum<WFAccessType.WFRole>
  - - com.ibm.openpages.api.workflow.WFAccessType.WFRole

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WFAccessType.WFRole>
  Enclosing class:
    WFAccessType

      public static enum WFAccessType.WFRole
      extends java.lang.Enum<WFAccessType.WFRole>

  Represents types of roles

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Assignees`
    `Others`
    `ProcessOwners`
    `Subscribers`
    `SuperUsers`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `static WFAccessType.WFRole` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WFAccessType.WFRole[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Assignees

          public static final WFAccessType.WFRole Assignees

    - #### ProcessOwners

          public static final WFAccessType.WFRole ProcessOwners

    - #### Subscribers

          public static final WFAccessType.WFRole Subscribers

    - #### Others

          public static final WFAccessType.WFRole Others

    - #### SuperUsers

          public static final WFAccessType.WFRole SuperUsers

  - ### Method Detail

    - #### values

          public static WFAccessType.WFRole[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WFAccessType.WFRole c : WFAccessType.WFRole.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WFAccessType.WFRole valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public int getId()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.